DOM::Counter Class Reference

`#include <css_value.h>`

## Public Member Functions

| Counter (const Counter &other)
Counter & | operator= (const Counter &other)
DOM::DOMString | identifier () const
DOM::DOMString | listStyle () const
DOM::DOMString | separator () const
CounterImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| Counter (CounterImpl *i)

## Protected Attributes

CounterImpl * | impl

## Friends

class | CSSPrimitiveValue

## Detailed Description

The `Counter` interface is used to represent any counter or counters function value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 699 of file css_value.h.

## Member Function Documentation

DOMString DOM::Counter::identifier | ( |  | ) | const

This attribute is used for the identifier of the counter.

Definition at line 447 of file css_value.cpp.

DOMString DOM::Counter::listStyle | ( |  | ) | const

This attribute is used for the style of the list.

Definition at line 453 of file css_value.cpp.

DOMString DOM::Counter::separator | ( |  | ) | const

This attribute is used for the separator of nested counters.

Definition at line 459 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys